Bug 509911 - Repo cache generation for channels without repomd.xml file generated reported as being 'Completed' regardless of completion status
Repo cache generation for channels without repomd.xml file generated reported...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server (Show other bugs)
530
All Linux
medium Severity medium
: ---
: ---
Assigned To: Pradeep Kilambi
Steve Salevan
:
Depends On:
Blocks: 485807
  Show dependency treegraph
 
Reported: 2009-07-06 15:56 EDT by Steve Salevan
Modified: 2009-09-10 14:41 EDT (History)
2 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 14:41:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Salevan 2009-07-06 15:56:15 EDT
Description of problem:
If a user syncs several channels to a Satellite, it takes a fixed amount of time for the Yum repodata to generate for each upon the first request.  One can view the progress of this process via "Repo Cache Status" entry on the Channel Details page, located here:

/rhn/channels/ChannelDetail.do?cid=<cid>

However, for channels that have not completed repodata generation, this status is reported as "Completed" in spite of the lack of available repodata.

Version-Release number of selected component (if applicable):
530, 7/2 build

How reproducible:
Always

Steps to Reproduce:
1. Sync a RHEL 5 base channel or two to an RHN Satellite, and register a box to the Satellite immediately thereafter
2. Attempt to install a package via Yum before the repodata generation completes (it should fail with one of those pesky 'Error: Cannot retrieve repository metadata (repomd.xml) for repository' messages)
3. View the channel detail page for the channel whose repodata was not generated
  
Actual results:
Repo Cache Status reports as 'Completed'

Expected results:
Repo Cache Status reports as 'In Progress' or something to that end

Additional info:
Comment 1 Clifford Perry 2009-07-06 16:02:04 EDT
Let Prad take a look, he added this information only within pass weeks to this page. 

Cliff
Comment 4 Steve Salevan 2009-07-13 13:24:04 EDT
VERIFIED on 7/7 build.
Comment 6 Brandon Perkins 2009-09-10 14:41:23 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.